petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetDefaultSection

Get the PetscSection encoding the local data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetDefaultSection(DM dm, PetscSection *section)

### Input Parameter

dm -The DM Many br

### Output Parameter

section -The PetscSection Many br

Many br

Note: This gets a borrowed reference, so the user should not destroy this PetscSection. Many br

### See Also

DMSetDefaultSection(), DMGetDefaultGlobalSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex77.c.html